# Nutritionist Lifestyle Create

| **API URL**     | {{url}}/spice-service/patient-lifestyle/create |
| --------------- | ---------------------------------------------- |
| **Method**      | POST                                           |
| **Description** | Patient Nutritionist Lifestyle Create          |

#### **Input:** <a href="#nutritionistlifestylecreate-input" id="nutritionistlifestylecreate-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Input:** <a href="#nutritionistlifestylecreate-input-.1" id="nutritionistlifestylecreate-input-.1"></a>

| **Field Name**      | **Type**  | **Mandatory** | **Example**               |
| ------------------- | --------- | ------------- | ------------------------- |
| lifestyleAssessment | String    | Yes           | check assessment          |
| otherNote           | String    | Yes           | Notes                     |
| referredByDisplay   | String    | No            | KavyaNutritionist         |
| referredDate        | Timestamp | No            | 2023-05-26T17:42:39+05:30 |
| referredFor         | String    | No            | Hypertension Education    |

#### **Sample Input:** <a href="#nutritionistlifestylecreate-sampleinput" id="nutritionistlifestylecreate-sampleinput"></a>

#### { <a href="#nutritionistlifestylecreate" id="nutritionistlifestylecreate"></a>

&#x20; "isExpanded": false,

&#x20; "lifestyle": \[

&#x20;   2

&#x20; ],

&#x20; "lifestyleAssessment": "check assessment",

&#x20; "nutritionist": true,

&#x20; "otherNote": "check notes",

&#x20; "patientTrackId": 25,

&#x20; "patientVisitId": 33,

&#x20; "referredBy": 10,

&#x20; "referredByDisplay": "KavyaNutritionist",

&#x20; "referredDate": "2023-05-26T17:42:39+05:30",

&#x20; "referredFor": "Hypertension Education",

&#x20; "roleName": "NUTRITIONIST"

}

#### **Output:** <a href="#nutritionistlifestylecreate-output" id="nutritionistlifestylecreate-output"></a>

| **Field Name**        | **Type**  | **Comments**                       |
| --------------------- | --------- | ---------------------------------- |
| `id`                  | Integer   | User ID                            |
| `name`                | String    | Hypertension Education             |
| `lifestyleAssessment` | String    | check assessment                   |
| `referredDate`        | Timestamp | 2023-05-26T17:42:39+05:30          |
| `assessedBy`          | Integer   | 4                                  |
| `assessedDate`        | Timestamp | 2023-05-26T17:42:39+05:30          |
| `clinicianNote`       | String    | Nutritionist Lifestyle Notes       |
| `otherNote`           | String    | Nutritionist Lifestyle Other Notes |

#### **Sample Output:** <a href="#nutritionistlifestylecreate-sampleoutput" id="nutritionistlifestylecreate-sampleoutput"></a>

```
  {
  "message": "Patient Nutrition Lifestyle created successfully.",
  "entity": {
    "createdBy": 10,
    "id": 8,
    "updatedBy": 10,
    "createdAt": "2023-05-26T12:12:42+00:00",
    "updatedAt": "2023-05-26T12:12:42+00:00",
    "tenantId": 4,
    "lifestyles": [
      {
        "createdBy": 1,
        "id": 2,
        "updatedBy": 1,
        "createdAt": "2023-05-23T12:15:19+00:00",
        "updatedAt": "2023-05-23T12:15:19+00:00",
        "name": "Hypertension Education",
        "displayOrder": 3,
        "cultureValue": null,
        "active": true,
        "deleted": false
      }
    ],
    "lifestyleAssessment": "check assessment",
    "patientTrackId": 25,
    "patientVisitId": 33,
    "referredBy": 10,
    "referredDate": "2023-05-26T17:42:39+05:30",
    "assessedBy": 10,
    "assessedDate": "2023-05-26T17:42:42+05:30",
    "clinicianNote": null,
    "otherNote": "check notes",
    "viewed": false,
    "active": true,
    "deleted": false
  },
  "status": true,
  "entityList": null,
  "responseCode": 201,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/versions/spice-1.0/engineering/api-documentation/spice-services/nutritionist-lifestyle-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
